Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_UDP_Object Class Reference

TAO_AV_Protocol_Object for the User Datagram Protocol (UDP). More...

`#include <UDP.h>`

Inheritance diagram for TAO_AV_UDP_Object:

[legend]
Collaboration diagram for TAO_AV_UDP_Object:

[legend]
List of all members.

## Public Methods
| TAO_AV_UDP_Object (TAO_AV_Callback *callback, TAO_AV_Transport *transport=0)
virtual | ~TAO_AV_UDP_Object (void)
| Dtor. More...
virtual int | handle_input (void)
virtual int | send_frame (ACE_Message_Block *frame, TAO_AV_frame_info *frame_info=0)
| send a data frame. More...
virtual int | send_frame (const iovec *iov, int iovcnt, TAO_AV_frame_info *frame_info=0)
| send a frame in iovecs. More...
virtual int | send_frame (const char *buf, size_t len)
virtual int | destroy (void)
| end the stream. More...
## Private Attributes
ACE_Message_Block | frame_
| Pre-allocated memory to receive the data... More...

## Detailed Description

TAO_AV_Protocol_Object for the User Datagram Protocol (UDP).

## Constructor & Destructor Documentation

TAO_AV_UDP_Object::TAO_AV_UDP_Object | ( | TAO_AV_Callback * | callback,
|  | TAO_AV_Transport * | transport = 0
| ) |

TAO_AV_UDP_Object::~TAO_AV_UDP_Object | ( | void |  | ) | `[virtual]`

| Dtor.

## Member Function Documentation

int TAO_AV_UDP_Object::destroy | ( | void |  | ) | `[virtual]`

| end the stream. Reimplemented from TAO_AV_Protocol_Object.

int TAO_AV_UDP_Object::handle_input | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_AV_Protocol_Object.

int TAO_AV_UDP_Object::send_frame | ( | const char * | buf,
|  | size_t | len
| ) | `[virtual]`

| Reimplemented from TAO_AV_Protocol_Object.

int TAO_AV_UDP_Object::send_frame | ( | const iovec * | iov,
|  | int | iovcnt,
|  | TAO_AV_frame_info * | frame_info = 0
| ) | `[virtual]`

| send a frame in iovecs. Reimplemented from TAO_AV_Protocol_Object.

int TAO_AV_UDP_Object::send_frame | ( | ACE_Message_Block * | frame,
|  | TAO_AV_frame_info * | frame_info = 0
| ) | `[virtual]`

| send a data frame. Reimplemented from TAO_AV_Protocol_Object.

## Member Data Documentation

ACE_Message_Block TAO_AV_UDP_Object::frame_`[private]`

| Pre-allocated memory to receive the data...

The documentation for this class was generated from the following files:

- UDP.h
- UDP.cpp